Subject: Recent note to ITU-T Director regarding MPLS-TP and G.8113.1

From: Russ Housley <[email-masked]>
Date: Wed, 30 Nov 2011 10:51:04 -0500

I want to make sure the IETF community is aware of this email exchange between myself and Malcolm Johnson, Director of the ITU Telecommunication Standardization Bureau.

Russ

Begin forwarded message:

> From: Russ Housley <[email-masked]>
> Date: November 29, 2011 5:45:21 PM EST
> To: "Johnson, Malcolm" <[email-masked]>
> Subject: Re: MPLS
> 
> Dear Malcolm:
> 
> Thanks for the note.  There are three points that need to made:
> 
> (1) The change in the title of G.8113.1 is a step in the right direction.  Thanks.
> 
> (2) I do not see acknowledgement of the necessary changes to the content of G.8113.1 that address my earlier comments.  The Japanese document indicates that the content to be revised to reflect that G.8113.1 is not included as part of MPLS or MPLS-TP.  I anticipate technical changes, not just the inclusion of a statement that G.8113.1 is not part of MPLS or MPLS-TP.
> 
> (3) As you are well aware, the timeline is quite tight, and delay from any source will prevent the IETF process from completing by the deadline of 10 January 2012.  No one can predict IETF consensus, but as I have said before, clarity is vital to avoid delay.
> 
> Regards,
> Russ
> 
> 
> On Nov 25, 2011, at 5:59 AM, Johnson, Malcolm wrote:
> 
>> Dear Russ
>> I am pleased to advise you that the SG15 Chairman’s proposed compromise has been amended to take account of your comments and has been submitted by the government of Japan. I very much hope that this will enable IETF to assign the ACh code point which will allow a resolution of this issue and permit us to move forward with our collaboration consistent with the JWT agreement.
>> The relevant documents are publicly available at:  
>> http://www.itu.int/oth/T0A0B00000C
>> Best regards
>> Malcolm
>>  
>> From: Russ Housley [mailto:[email-masked]] 
>> Sent: 18 November 2011 09:24
>> To: Johnson, Malcolm
>> Subject: Re: MPLS
>>  
>> Dear Malcolm:
>>  
>> IETF consensus continues to be required to allocate the code point.  My experience leads me to believe that careful clarity about the proposed content changes to G.8113.1, as well as specific clarity that G.8113.1 is not part of MPLS and MPLS-TP, will aid in achieving such a consensus. The current situation has engendered quite a bit of ambiguity in wording which, in my experience, will not produce IETF consensus.
>>  
>> Russ
>>  
>>  
>> On Nov 16, 2011, at 7:40 PM, Johnson, Malcolm wrote:
>> 
>> 
>> Russ 
>> The proposal in TD527 is intended to change the title and content of G.8113.1 to reflect that it describes an alternative OAM mechanism for MPLS-TP networks based on Ethernet OAM and is not included as part of the MPLS or MPLS-TP protocol suite. Also it is intended to be consistent with the JWT agreement and the Newslog article. I am sure the SG15 Chairman would be willing to amend his document as necessary to reflect this. On this basis could the IETF assign an ACh code point that would be included in Recommendation ITU-T G.8113.1?
>> Malcolm
>> 
>> 
>>  
>>  
>> From: Russ Housley [mailto:[email-masked]] 
>> Sent: 15 November 2011 11:23
>> To: Johnson, Malcolm
>> Subject: Re: MPLS
>>  
>> Dear Malcolm:
>>  
>> http://www.itu.int/ITU-T/newslog/Statement+Ahead+Of+IETF+Meeting.aspx
>>  
>> Thanks for getting this posted.  It has already gotten a lot of visibility.
>>  
>> Just to make sure that we are on the same page, I'd like to repeat two things that came up while we were drafting the newslog article.  These also reflect the IETF's understanding of the newslog article.  I'll forward this note to the IETF participants to be sure that we're all in sync here. 
>>  
>> First, the text of the newslog article re-affirms the JWT agreement from 2008 as captured in RFC 5317.  In particular, the IETF standards process will continue to be used for all MPLS-TP architecture and protocol documents.
>>  
>> Second, since G.8113.1 contains a protocol that is not a product of the IETF standards process, it cannot be a part of MPLS-TP according to the conditions of the JWT agreement and the newslog article.  The IETF anticipates one of the following actions will be taken to conform to this agreement.  Either (1) G.8113.1 will be withdrawn, or (2) the title of G.8113.1 will be changed, and the content will be revised to reflect that it is not included as part of MPLS or MPLS-TP protocol suite..
>>  
>> Also, thanks for sending me the TD527/P document from the SG15 Chairman.  I note that it proposes the progression of both G.8113.1 and G.8113.2 as MPLS standards.  This approach is not consistent with the JWT agreement or the newslog article.
>>  
>> I believe this is a constructive step forward.  I look forward to a resolution that fully respects the JWT agreement and moves our two organizations further toward collaborative standards development. 
>>  
>> Russ
>>  
>>  
>> On Nov 12, 2011, at 5:18 AM, Johnson, Malcolm wrote:
>> 
>> 
>> 
>> Thanks Russ
>> We will publish first thing Monday.
>> Hope you had a good trip and wish you a successful meeting
>> Malcolm
>>  
>>  
>